Bug 19998 - use Modern::Perl in error perl scripts
Summary: use Modern::Perl in error perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Te Rauhina Jackson
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 04:44 UTC by Aleisha Amohia
Modified: 2018-02-16 00:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19998 - use Modern::Perl in error perl scripts (2.38 KB, patch)
2018-01-18 03:18 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 19998 - use Modern::Perl in error perl scripts (2.38 KB, patch)
2018-01-24 18:19 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19998 - use Modern::Perl in error perl scripts (2.43 KB, patch)
2018-01-24 18:36 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19998: use Modern::Perl in error perl scripts (2.53 KB, patch)
2018-02-04 14:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:44:31 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
400.pl
401.pl
402.pl
403.pl
404.pl
500.pl
Comment 1 Te Rauhina Jackson 2018-01-18 03:18:06 UTC
Created attachment 70670 [details] [review]
Bug 19998 - use Modern::Perl in error perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

400.pl
401.pl
402.pl
403.pl
404.pl
500.pl
Comment 2 Jon Knight 2018-01-24 18:19:09 UTC
Created attachment 70886 [details] [review]
Bug 19998 - use Modern::Perl in error perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

400.pl
401.pl
402.pl
403.pl
404.pl
500.pl
Comment 3 Jon Knight 2018-01-24 18:36:09 UTC
Created attachment 70893 [details] [review]
Bug 19998 - use Modern::Perl in error perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

400.pl
401.pl
402.pl
403.pl
404.pl
500.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 14:10:08 UTC
Created attachment 71192 [details] [review]
Bug 19998: use Modern::Perl in error perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

400.pl
401.pl
402.pl
403.pl
404.pl
500.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:08 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:58:12 UTC
Awesome work all! Enhancement not backported to stable.